<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Eco_Assistant StructType
 * @subpackage Structs
 */
class Get_Eco_Assistant extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The EcoAssistantSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\EcoAssistantSelection
     */
    public $EcoAssistantSelection;
    /**
     * Constructor method for Get_Eco_Assistant
     * @uses Get_Eco_Assistant::setLogin()
     * @uses Get_Eco_Assistant::setEcoAssistantSelection()
     * @param \StructType\Login $login
     * @param \StructType\EcoAssistantSelection $ecoAssistantSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\EcoAssistantSelection $ecoAssistantSelection = null)
    {
        $this
            ->setLogin($login)
            ->setEcoAssistantSelection($ecoAssistantSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Eco_Assistant
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get EcoAssistantSelection value
     * @return \StructType\EcoAssistantSelection|null
     */
    public function getEcoAssistantSelection()
    {
        return $this->EcoAssistantSelection;
    }
    /**
     * Set EcoAssistantSelection value
     * @param \StructType\EcoAssistantSelection $ecoAssistantSelection
     * @return \StructType\Get_Eco_Assistant
     */
    public function setEcoAssistantSelection(\StructType\EcoAssistantSelection $ecoAssistantSelection = null)
    {
        $this->EcoAssistantSelection = $ecoAssistantSelection;
        return $this;
    }
}
